XMLPRC + PHP 5.3 + UBUNTU

Problems with the Linux version of XAMPP, questions, comments, and anything related.

XMLPRC + PHP 5.3 + UBUNTU

Postby mglaredo » 22. March 2010 14:45

Hi folks!

I've serious problems for installing new versions of XAMPP (for Linux) that come with PHP 5.3 (such as 1.7.2 and 1.7.3a). I've tested that on Karmic Koala Ubuntu.

The message obtained after add extension xmlrpc.so (coming in php5-xmlrpc's debian package) and restart lamp is:
" undefined symbol: second_arg_force_ref in Unknown on line 0 ".

I've followed these instructions to add support for XMLRPC: viewtopic.php?f=17&t=34264

Finally, i've got back to a version of XAMPP based on PHP 5.2, exactly XAMPP 1.6.7, since I haven't knew how to solve it!

Anyone knows a solution? This issue is important for next generation of XAMPP.
mglaredo
 
Posts: 2
Joined: 22. March 2010 14:34

Re: XMLPRC + PHP 5.3 + UBUNTU

Postby Nobbie » 22. March 2010 21:12

[quote="mglaredo"] The message obtained after add extension xmlrpc.so (coming in php5-xmlrpc's debian package) and restart lamp is:
" undefined symbol: second_arg_force_ref in Unknown on line 0 ".[/quote}

Ouch! You cannot use Debian PHP Modules in Xampp Environment.

If you like to use Debian Modules, dont install Xampp but install Debians Apache (and PHP, MySQL etx.) instead.
Nobbie
 
Posts: 8778
Joined: 09. March 2008 13:04

Re: XMLPRC + PHP 5.3 + UBUNTU

Postby mglaredo » 23. March 2010 12:28

Thanks Nobbie.

Are you sure that "apt-get install php5-xmlrpc" is not the way to get XMLRPC support on Ubuntu for XAMPP? I've used XAMPP on Ubuntu until now.

I like XAMPP and Ubuntu, both at the same time :P

Could you explain me why Debin Packages and XAMPP don't match.

Thanks in advance! And sorry if my question wasn't suitable
mglaredo
 
Posts: 2
Joined: 22. March 2010 14:34

Re: XMLPRC + PHP 5.3 + UBUNTU

Postby Nobbie » 23. March 2010 13:29

mglaredo wrote: Are you sure that "apt-get install php5-xmlrpc" is not the way to get XMLRPC support on Ubuntu for XAMPP?


Yes.

mglaredo wrote:Could you explain me why Debin Packages and XAMPP don't match.


Because they depend on different distributions and releases. Its quite the same that you cannot mix Debian and OpenSuSE, or Ubuntu and RedHat etc. You cannot mix binaries (especially not moduies) from different distributions.
Nobbie
 
Posts: 8778
Joined: 09. March 2008 13:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 5 guests